CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CCfits::HDU::NoSuchKeyword Class Reference
FITS Exceptions

exception to be thrown on seek errors for keywords. More...

`#include <HDU.h>`

Inheritance diagram for CCfits::HDU::NoSuchKeyword:

List of all members.

## Public Member Functions
| NoSuchKeyword (const string &diag, bool silent=true)
| Exception ctor, prefixes the string "Fits Error: Keyword not found: " before the specific message.

## Detailed Description

exception to be thrown on seek errors for keywords.

## Constructor & Destructor Documentation

CCfits::HDU::NoSuchKeyword::NoSuchKeyword | ( | const string & | diag,
|  | bool | silent = `true`
| ) |  |

Exception ctor, prefixes the string "Fits Error: Keyword not found: " before the specific message.

Parameters:

  diag | A specific diagnostic message, usually the name of the keyword requested.
  silent | if true, print message whether FITS::verboseMode is set or not.

The documentation for this class was generated from the following files:

- HDU.h
- HDU.cxx